export class ExpressionsController {
  constructor() {
    this._params_by_id = new Map();
  }
  register_param(param) {
    this._params_by_id.set(param.graphNodeId(), param);
  }
  deregister_param(param) {
    this._params_by_id.delete(param.graphNodeId());
  }
  regenerate_referring_expressions(node) {
    node.nameController.graph_node.setSuccessorsDirty(node);
  }
}
